"use strict";
var __webpack_exports__ = {};
const e2e_namespaceObject = require("@tachybase/test/e2e");
(0, e2e_namespaceObject.test)('add tab', async (param)=>{
    let { page, mockPage } = param;
    await mockPage(e2e_namespaceObject.tabPageEmpty).goto();
    await page.getByLabel('schema-initializer-Page-tabs').click();
    await page.getByRole('textbox').click();
    await page.getByRole('textbox').fill('tab1');
    await page.getByRole('button', {
        name: 'OK',
        exact: true
    }).click();
    await (0, e2e_namespaceObject.expect)(page.getByText('tab1', {
        exact: true
    })).toBeVisible();
});
var __webpack_export_target__ = exports;
for(var __webpack_i__ in __webpack_exports__)__webpack_export_target__[__webpack_i__] = __webpack_exports__[__webpack_i__];
if (__webpack_exports__.__esModule) Object.defineProperty(__webpack_export_target__, '__esModule', {
    value: true
});
